<?php
if ( ! defined( 'ABSPATH' ) ) {
  exit; // Exit if accessed directly.
}

$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$alert_class = 'vckit-alert alert ';
$alert_class .= "alert-{$message_shape} ";
$alert_class .= "alert-{$message_style} ";

if ( 'yes' === $close_enable ) {
    $alert_class .= 'alert-dismissible ';
}

if ( 'yes' === $close_enable && '' !== $fade_enable ) {
    $alert_class .= 'fade in ';
}
?>

<div class="<?php echo esc_attr( $alert_class ); ?>" role="alert">
<?php if ( 'yes' === $close_enable ) : ?>
  <button
    type="button"
    class="close"
    aria-label="Close"
    data-dismiss="alert"
    style="font-size: <?php echo "{$close_btn_size}px"; // @codingStandardsIgnoreLine ?>">
    <span aria-hidden="true">&times;</span>
  </button>
<?php endif; ?>
<?php echo $message; // @codingStandardsIgnoreLine ?>
</div>
